org.eclipse.rdf4j.rio.turtle

## Class TurtleParserTestCase

- java.lang.Object
- - org.eclipse.rdf4j.rio.turtle.TurtleParserTestCase

-     public abstract class TurtleParserTestCase
      extends Object

  JUnit test for the Turtle parser that uses the tests that are available online.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `TESTS_W3C_BASE_URL` Base URL for W3C Tutle tests.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TurtleParserTestCase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract RDFParser` | `createNTriplesParser()`
    `junit.framework.TestSuite` | `createTestSuite()`
    `protected abstract RDFParser` | `createTurtleParser()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TESTS_W3C_BASE_URL

          protected static String TESTS_W3C_BASE_URL

      Base URL for W3C Tutle tests.

  - ### Constructor Detail

    - #### TurtleParserTestCase

          public TurtleParserTestCase()

  - ### Method Detail

    - #### createTestSuite

          public junit.framework.TestSuite createTestSuite()
                                                    throws Exception

      Throws:
        `Exception`

    - #### createTurtleParser

          protected abstract RDFParser createTurtleParser()

      Returns:
        An implementation of a Turtle parser to test compliance with the Turtle Test Suite Turtle tests.

    - #### createNTriplesParser

          protected abstract RDFParser createNTriplesParser()

      Returns:
        An implementation of an N-Triples parser to test compliance with the Turtle Test Suite N-Triples tests.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.